/*
 * director.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include "director.h"
#include "directorosd.h"



cPluginDirector::cPluginDirector(void)
{
  // Initialize any member variables here.
  // DON'T DO ANYTHING ELSE THAT MAY HAVE SIDE EFFECTS, REQUIRE GLOBAL
  // VDR OBJECTS TO EXIST OR PRODUCE ANY OUTPUT!
}

cPluginDirector::~cPluginDirector()
{
  // Clean up after yourself!
}

const char *cPluginDirector::CommandLineHelp(void)
{
  // Return a string that describes all known command line options.
  return NULL;
}

bool cPluginDirector::ProcessArgs(int argc, char *argv[])
{
  // Implement command line argument processing here if applicable.
  return true;
}

bool cPluginDirector::Start(void)
{
  // Start any background activities the plugin shall perform.
  //RegisterI18n(Phrases);
  // Default values for setup
  return true;
}

void cPluginDirector::Housekeeping(void)
{
  // Perform any cleanup or other regular tasks.
}

cOsdObject *cPluginDirector::MainMenuAction(void)
{
  return new cDirectorOsd;
}

bool cPluginDirector::SetupParse(const char *Name, const char *Value)
{
	// Parse your own setup parameters and store their values.
	if (!strcasecmp(Name, "HideMenu")) hide = atoi(Value);
	return true;
}

//the setup part
class cMenuSetupDirector : public cMenuSetupPage {
 public:
  cMenuSetupDirector();
 protected:
  virtual void Store(void);
 private:
 	int new_hide;
};

cMenuSetupDirector::cMenuSetupDirector()
{
	new_hide = hide;    
	Add(new cMenuEditBoolItem(tr("Hide Mainmenu Entry"), &hide, tr("no"), tr("yes")));
}

void cMenuSetupDirector::Store(void)
{
	SetupStore("HideMenu", new_hide = hide);
}

cMenuSetupPage *cPluginDirector::SetupMenu(void)
{
	
  // Return a setup menu in case the plugin supports one.
  return new cMenuSetupDirector();
}

VDRPLUGINCREATOR(cPluginDirector); // Don't touch this!
